Skip to main content
GET
/
2025-09
/
orders
/
{order_id}
/
line_items
List all Line Items
curl --request GET \
  --url https://public-api.stora.co/2025-09/orders/{order_id}/line_items \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/orders/{order_id}/line_items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/orders/{order_id}/line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "line_items": [
    {
      "id": "olitm_1001cbd3d5fec937",
      "created_at": "2025-02-22T14:41:00Z",
      "discount_total": {
        "amount": 5000,
        "currency": "GBP",
        "formatted": "£50.00"
      },
      "item": {
        "id": "utype_3b3aed5cca33b11d"
      },
      "price": {
        "amount": 9999,
        "currency": "GBP",
        "formatted": "£99.99"
      },
      "quantity": 1,
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total": {
        "amount": 9999,
        "currency": "GBP",
        "formatted": "£99.99"
      },
      "total_excluding_tax": {
        "amount": 9999,
        "currency": "GBP",
        "formatted": "£99.99"
      },
      "type": "unit_type",
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "olitm_260799c6b6b1a274",
      "created_at": "2025-02-22T14:41:00Z",
      "discount_total": {
        "amount": 1000,
        "currency": "GBP",
        "formatted": "£10.00"
      },
      "item": {
        "id": "plvl_851681552a608245"
      },
      "price": {
        "amount": 1999,
        "currency": "GBP",
        "formatted": "£19.99"
      },
      "quantity": 1,
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total": {
        "amount": 1999,
        "currency": "GBP",
        "formatted": "£19.99"
      },
      "total_excluding_tax": {
        "amount": 1999,
        "currency": "GBP",
        "formatted": "£19.99"
      },
      "type": "protection",
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "olitm_47eba7938308c71d",
      "created_at": "2025-02-22T14:41:00Z",
      "discount_total": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "item": {
        "id": "prod_c4267b529ee675bd"
      },
      "price": {
        "amount": 999,
        "currency": "GBP",
        "formatted": "£9.99"
      },
      "quantity": 2,
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total": {
        "amount": 1998,
        "currency": "GBP",
        "formatted": "£19.98"
      },
      "total_excluding_tax": {
        "amount": 1998,
        "currency": "GBP",
        "formatted": "£19.98"
      },
      "type": "product",
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "olitm_b202613e81c9101e",
      "created_at": "2025-02-22T14:41:00Z",
      "discount_total": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "item": {
        "id": "utype_3b3aed5cca33b11d"
      },
      "price": {
        "amount": 100000,
        "currency": "GBP",
        "formatted": "£1,000.00"
      },
      "quantity": 2,
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total": {
        "amount": 200000,
        "currency": "GBP",
        "formatted": "£2,000.00"
      },
      "total_excluding_tax": {
        "amount": 200000,
        "currency": "GBP",
        "formatted": "£2,000.00"
      },
      "type": "security_deposit",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 4,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}
{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Order was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

order_id
string
required

The ID of the order

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
type
enum<string>[]

Filter by type. Supports multiple values separated by a comma.

Available options:
unit_type,
protection,
product,
security_deposit
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

list of line items

List of Order Line Items

line_items
object[]
meta
object